bug-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: bug in cvs-1.11.23.tar.gz


From: Petr Pisar
Subject: Re: bug in cvs-1.11.23.tar.gz
Date: Wed, 27 Mar 2013 08:17:46 +0100
User-agent: Mutt/1.5.21 (2010-09-15)

On Tue, Mar 26, 2013 at 09:02:09PM +0800, lizt wrote:
>     I  found a bug when I installed the cvs using source package
> cvs-1.11.23.tar.gz .
>     Detail:
>         make  all-recursive
>         make[1]: Entering directory `/home/myPrograms/cvs/cvs-1.11.23'
>         Making all in lib
>         make[2]: Entering directory `/home/myPrograms/cvs/cvs-1.11.23/lib'
>         gcc -DHAVE_CONFIG_H -I. -I.. -I../src     -g -O2 -MT
> getline.o -MD -MP -MF .deps/getline.Tpo -c -o getline.o getline.c
>         In file included from getline.c:25:0:
>         getline.h:15:3: error: conflicting types for 'getline'
>         /usr/include/stdio.h:675:20: note: previous declaration of
> 'getline' was here
>         getline.c:158:1: error: conflicting types for 'getline'
>         /usr/include/stdio.h:675:20: note: previous declaration of
> 'getline' was here
Use patch
<http://pkgs.fedoraproject.org/cgit/cvs.git/plain/cvs-1.11.23-getline64.patch>.
The sources bundles old implemetation from gnulib which is not compatible with
current glibc.

-- Petr

Attachment: pgpoUnJ3iAOKh.pgp
Description: PGP signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]